$("#test_send_<%= @index%>").replaceWith("<a class='<%= @result == 0 ? 'green_btn' : 'red_btn'%> fl ml5 mt1 programing_test' onclick='programing_test(<%= @index%>)' id='test_send_<%= @index%>'><%= @result == 0 ? '正确' : '错误'%></a>");
$("#test_result_<%= @index%>").val("<%= @result%>");
<% if @err_msg || @result != 0%>
    $("#homework_work_test_show").show();
    $("#homework_work_test_desc").text("<%= escape_javascript(@err_msg || status_to_err_msg(@result))%>");
    <% if @err_msg%>
        $("#homework_test_error_msg").val("<%= escape_javascript(@err_msg)%>");
    <% end%>
<% else%>
    $("#homework_work_test_show").hide();
    $("#homework_test_error_msg").val("");
<% end%>